Download it now!
Bug 134817 - FILESAVE XLSX Header text with different fonts is lost
Summary: FILESAVE XLSX Header text with different fonts is lost
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords: bibisected, bisected, filter:xlsx, regression
Depends on:
Blocks: XLSX-Header-Footer
  Show dependency treegraph
 
Reported: 2020-07-15 07:55 UTC by NISZ LibreOffice Team
Modified: 2020-08-04 10:17 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Calc with header text and two different fonts (10.27 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-07-15 07:55 UTC, NISZ LibreOffice Team
Details
The original file saved by Calc to xlsx (4.38 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-07-15 07:56 UTC, NISZ LibreOffice Team
Details
Screenshot of the original and exported document side by side in Calc (97.53 KB, image/png)
2020-07-15 07:56 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-07-15 07:55:43 UTC
Created attachment 163039 [details]
Example file from Calc with header text and two different fonts

Attached file contains a simple spreadsheet header that uses different fonts: left part has two paragraphs with different fonts set (Arial and TNR) while the right header part contains one paragraph with the same two fonts set.
Upon saving to XLSX format the right part loses the first half of the text that had different font than the end.
Opening a similarly formatted XLSX from Excel works fine, but saving shows the same problem.

Steps to reproduce:
    1. In Calc go to Insert – Headers and Footers
    2. Type some text into one of the Left/Center/Right fields, without pressing Enter to separate its parts
    3. Set different fonts to the text with the Text Attributes button
    4. Save the file as XLSX and reopen

Actual results:
Only the last part of the text is visible, first part that had different font is lost.

Expected results:
All text retained.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: f7eff4319be741143f6d8d5e0f2995e3ce46b126
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL

Also happens with:
Verzió: 6.0.0.3
Build az.: 64a0f66915f38c6217de274f0aa8e15618924765
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: alapértelmezett; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: hu-HU (hu_HU)

Verzió: 4.2.0.4
Build az.: 05dceb5d363845f2cf968344d7adab8dcfb2ba71

But not in:
Verzió: 4.1.0.4
Build az.: 89ea49ddacd9aa532507cbf852f2bb22b1ace28

Verzió: 4.0.0.3 (Build az.: 7545bee9c2a0782548772a21bc84a9dcc583b89)
Comment 1 NISZ LibreOffice Team 2020-07-15 07:56:19 UTC
Created attachment 163040 [details]
The original file saved by Calc to xlsx
Comment 2 NISZ LibreOffice Team 2020-07-15 07:56:38 UTC
Created attachment 163041 [details]
Screenshot of the original and exported document side by side in Calc
Comment 3 Xisco Faulí 2020-07-16 10:29:46 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b7df3446c373a93dc5b77b495a54d873d83a91a7

author	Ricardo Montania <ricardo@linuxafundo.com.br>	2013-05-20 07:30:19 -0300
committer	Fridrich Strba <fridrich@documentfoundation.org>	2013-05-22 21:03:56 +0000
commit	b7df3446c373a93dc5b77b495a54d873d83a91a7 (patch)
tree	1de5e9567eaf1e7c5115e6b968ec4e49c45af3c1
parent	8eb1fb9eff4d4eea9c0c1c2e8d3b380e227b5d50 (diff)
AppendAscii cleanup

Bisected with: bibisect-42max$
Comment 4 Commit Notification 2020-07-17 15:30:24 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ba4bc66301e0cb30379f19b9c19e320a533daa42

tdf#134817 XLSX export: fix partially lost header/footer

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-07-30 10:49:07 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 231e1e416c039d1f9724962a89cf0573a3db48a2
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Attila Szűcs, thanks for fixing this issue!
Comment 6 Commit Notification 2020-08-04 10:17:11 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/ceb2282e392dbe90379a893b2282d9d5beae89ed

tdf#134817 XLSX export: fix partially lost header/footer

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.